Mail archive
alpine-aports

[alpine-aports] [PATCH] main/samba: upgrade to 4.6.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 10 Mar 2017 17:38:11 +0200

fixes and cleanups in APKBUILD
add /etc/samba/smb.conf to samba-common
move /usr/libexec/samba dir to /usr/lib/samba
remove unused patch: ld_library_path.patch
remove unknown files: gen-bin-list.sh, split-pkg.lua

---
Need to apply before it:
- main/talloc: upgrade to 2.1.9
- 1/2 testing/cmocka: separate -dev subpackage
- 2/2 main/cmocka: move from testing
---
 main/samba/APKBUILD              | 342 +++++++++++++++++++--------------------
 main/samba/gen-bin-list.sh       |  12 --
 main/samba/ld_library_path.patch |  18 ---
 main/samba/split-pkg.lua         | 123 --------------
 4 files changed, 164 insertions(+), 331 deletions(-)
 delete mode 100644 main/samba/gen-bin-list.sh
 delete mode 100644 main/samba/ld_library_path.patch
 delete mode 100644 main/samba/split-pkg.lua
diff --git a/main/samba/APKBUILD b/main/samba/APKBUILD
index a488c30f14..38087b382b 100644
--- a/main/samba/APKBUILD
+++ b/main/samba/APKBUILD
_at_@ -1,14 +1,14 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=samba
-pkgver=4.5.4
+pkgver=4.6.0
 pkgrel=0
 pkgdesc="Tools to access a server's filespace and printers via SMB"
 url="http://www.samba.org"
 arch="all"
 license="GPL3"
 subpackages="$pkgname-dev $pkgname-doc
-	$pkgname-common
-	$pkgname-initscript
+	$pkgname-common::noarch
+	$pkgname-initscript::noarch
 	$pkgname-common-tools:_common_tools
 	$pkgname-common-server-libs:_common_server_libs
 	$pkgname-common-libs:_common_libs
_at_@ -28,7 +28,7 @@ subpackages="$pkgname-dev $pkgname-doc
 
 	$pkgname-server
 	$pkgname-server-libs:_server_libs
-	$pkgname-pidl
+	$pkgname-pidl::noarch
 	py-$pkgname:_py
 	$pkgname-test:_test
 	$pkgname-libs-py:_libs_py
_at_@ -42,31 +42,22 @@ depends="$pkgname-server=$pkgver-r$pkgrel
 makedepends="popt-dev ncurses-dev openldap-dev e2fsprogs-dev
 	talloc-dev tdb-dev py-tdb ldb-dev cups-dev python2-dev libcap-dev
 	tevent-dev py-tevent iniparser-dev perl subunit-dev docbook-xsl
-	libarchive-dev"
-source="https://us1.samba.org/samba/ftp/stable/samba-$pkgver.tar.gz
+	libarchive-dev acl-dev cmocka-dev"
+source="https://us1.samba.org/samba/ftp/stable/$pkgname-$pkgver.tar.gz
 	uclibc-xattr-create.patch
 	domain.patch
 	getpwent_r.patch
 	netdb-defines.patch
 
-	samba.initd
-	samba.confd
-	samba.logrotate
+	$pkgname.initd
+	$pkgname.confd
+	$pkgname.logrotate
 	"
 pkggroups="winbind"
-
-_builddir="$srcdir"/samba-$pkgver
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	local _jobs=$JOBS
 	local _idmap_modules=idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2
 	local _pdb_modules=pdb_tdbsam,pdb_ldap,pdb_ads,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
_at_@ -77,13 +68,14 @@ build() {
 	fi
 	./configure --prefix=/usr \
 		--jobs=${_jobs:-2} \
-		--sysconfdir=/etc/samba \
-		--with-configdir=/etc/samba \
+		--sysconfdir=/etc/$pkgname \
+		--with-configdir=/etc/$pkgname \
 		--localstatedir=/var \
+		--libexecdir=/usr/lib \
 		--enable-fhs \
-		--with-lockdir=/var/cache/samba \
-		--with-piddir=/var/run/samba \
-		--with-logfilebase=/var/log/samba \
+		--with-lockdir=/var/cache/$pkgname \
+		--with-piddir=/var/run/$pkgname \
+		--with-logfilebase=/var/log/$pkgname \
 		--without-pam \
 		--without-systemd \
 		--with-ads \
_at_@ -97,25 +89,28 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 
-	install -d "$pkgdir"/var/log/samba \
-		"$pkgdir"/usr/share/doc/samba \
-		|| return 1
-	install -d -m 0755 "$pkgdir"/var/lib/samba/sysvol || return 1
-	install -D packaging/RHEL/setup/smbusers "$pkgdir"/etc/samba/smbusers \
-		|| return 1
-	install -m 0744 packaging/printing/smbprint "$pkgdir"/usr/bin/smbprint \
+	install -d "$pkgdir"/var/log/$pkgname \
+		"$pkgdir"/usr/share/doc/$pkgname \
 		|| return 1
-	install -Dm644 "$srcdir"/samba.logrotate "$pkgdir"/etc/logrotate.d/samba
+	install -dm755 "$pkgdir"/var/lib/$pkgname/sysvol || return 1
+	install -Dm644 packaging/LSB/smb.conf \
+		"$pkgdir"/etc/$pkgname/smb.conf || return 1
+	install -Dm644 packaging/RHEL/setup/smbusers \
+		"$pkgdir"/etc/$pkgname/smbusers || return 1
+	install -m744 packaging/printing/smbprint \
+		"$pkgdir"/usr/bin/smbprint || return 1
+	install -Dm644 "$srcdir"/$pkgname.logrotate \
+		"$pkgdir"/etc/logrotate.d/$pkgname
 }
 
 initscript() {
 	pkgdesc="Init script for Samba"
 	depends=""
-	install -Dm755 $srcdir/samba.initd "$subpkgdir"/etc/init.d/samba
-	install -Dm644 $srcdir/samba.confd "$subpkgdir"/etc/conf.d/samba
+	install -Dm755 $srcdir/$pkgname.initd "$subpkgdir"/etc/init.d/$pkgname
+	install -Dm644 $srcdir/$pkgname.confd "$subpkgdir"/etc/conf.d/$pkgname
 }
 
 _mv_files() {
_at_@ -137,7 +132,7 @@ common() {
 		etc \
 		var \
 		|| return 1
-	install -d -m700 "$subpkgdir"/var/lib/samba/private
+	install -d -m700 "$subpkgdir"/var/lib/$pkgname/private
 }
 
 # common-libs is an attempt to avoid libpython dependency for libsmbclient
_at_@ -146,8 +141,8 @@ _libs_py() {
 	depends=
 	cd "$pkgdir"
 	_mv_files \
-		usr/lib/samba/libsamba-net-samba4.so \
-		usr/lib/samba/libsamba-python-samba4.so \
+		usr/lib/$pkgname/libsamba-net-samba4.so \
+		usr/lib/$pkgname/libsamba-python-samba4.so \
 		|| return 1
 	return 0
 }
_at_@ -163,8 +158,8 @@ _common_tools() {
 		usr/bin/smbcontrol \
 		usr/bin/smbpasswd \
 		usr/bin/testparm \
-		usr/lib/samba/libgpo-samba4.so \
-		usr/lib/samba/libnet-keytab-samba4.so \
+		usr/lib/$pkgname/libgpo-samba4.so \
+		usr/lib/$pkgname/libnet-keytab-samba4.so \
 		|| return 1
 }
 
_at_@ -175,15 +170,15 @@ _common_server_libs() {
 	_mv_files \
 		usr/lib/libnetapi.so.* \
 		usr/lib/libsmbldap.so.* \
-		usr/lib/samba/libads-samba4.so \
-		usr/lib/samba/libauth-samba4.so \
-		usr/lib/samba/libdfs-server-ad-samba4.so \
-		usr/lib/samba/libnpa-tstream-samba4.so \
-		usr/lib/samba/libprinting-migrate-samba4.so \
-		usr/lib/samba/libsmbd-base-samba4.so \
-		usr/lib/samba/libsmbd-conn-samba4.so \
-		usr/lib/samba/libsmbldaphelper-samba4.so \
-		usr/lib/samba/pdb \
+		usr/lib/$pkgname/libads-samba4.so \
+		usr/lib/$pkgname/libauth-samba4.so \
+		usr/lib/$pkgname/libdfs-server-ad-samba4.so \
+		usr/lib/$pkgname/libnpa-tstream-samba4.so \
+		usr/lib/$pkgname/libprinting-migrate-samba4.so \
+		usr/lib/$pkgname/libsmbd-base-samba4.so \
+		usr/lib/$pkgname/libsmbd-conn-samba4.so \
+		usr/lib/$pkgname/libsmbldaphelper-samba4.so \
+		usr/lib/$pkgname/pdb \
 		|| return 1
 }
 
_at_@ -192,16 +187,16 @@ _common_libs() {
 	depends=""
 	cd "$pkgdir"
 	_mv_files \
-		usr/lib/samba/libcli-spoolss-samba4.so \
-		usr/lib/samba/libtrusts-util-samba4.so \
+		usr/lib/$pkgname/libcli-spoolss-samba4.so \
+		usr/lib/$pkgname/libtrusts-util-samba4.so \
 		usr/lib/libdcerpc-binding.so.* \
 		usr/lib/libsamba-passdb.so.* \
-		usr/lib/samba/libdcerpc-samba-samba4.so \
-		usr/lib/samba/liblibcli-lsa3-samba4.so \
-		usr/lib/samba/liblibcli-netlogon3-samba4.so \
-		usr/lib/samba/liblibsmb-samba4.so \
-		usr/lib/samba/libmsrpc3-samba4.so \
-		usr/lib/samba/libndr-samba4.so \
+		usr/lib/$pkgname/libdcerpc-samba-samba4.so \
+		usr/lib/$pkgname/liblibcli-lsa3-samba4.so \
+		usr/lib/$pkgname/liblibcli-netlogon3-samba4.so \
+		usr/lib/$pkgname/liblibsmb-samba4.so \
+		usr/lib/$pkgname/libmsrpc3-samba4.so \
+		usr/lib/$pkgname/libndr-samba4.so \
 		|| return 1
 }
 
_at_@ -220,14 +215,14 @@ _client_libs() {
 	cd "$pkgdir"
 	_mv_files \
 		usr/lib/libdcerpc.so.* \
-		usr/lib/samba/libcli-ldap-samba4.so \
-		usr/lib/samba/libcmdline-credentials-samba4.so \
-		usr/lib/samba/libdsdb-garbage-collect-tombstones-samba4.so \
-		usr/lib/samba/libevents-samba4.so \
-		usr/lib/samba/libhttp-samba4.so \
-		usr/lib/samba/libnetif-samba4.so \
-		usr/lib/samba/libregistry-samba4.so \
-		usr/lib/samba/libsmbclient-raw-samba4.so \
+		usr/lib/$pkgname/libcli-ldap-samba4.so \
+		usr/lib/$pkgname/libcmdline-credentials-samba4.so \
+		usr/lib/$pkgname/libdsdb-garbage-collect-tombstones-samba4.so \
+		usr/lib/$pkgname/libevents-samba4.so \
+		usr/lib/$pkgname/libhttp-samba4.so \
+		usr/lib/$pkgname/libnetif-samba4.so \
+		usr/lib/$pkgname/libregistry-samba4.so \
+		usr/lib/$pkgname/libsmbclient-raw-samba4.so \
 		|| return 1
 }
 
_at_@ -239,6 +234,7 @@ client() {
 		usr/bin/cifsdd \
 		usr/bin/findsmb \
 		usr/bin/dbwrap_tool \
+		usr/bin/mvxattr \
 		usr/bin/nmblookup \
 		usr/bin/oLschema2ldif \
 		usr/bin/regdiff \
_at_@ -256,7 +252,7 @@ client() {
 		usr/bin/smbspool \
 		usr/bin/smbtar \
 		usr/bin/smbtree \
-		usr/libexec/samba/smbspool_krb5_wrapper \
+		usr/lib/$pkgname/smbspool_krb5_wrapper \
 		|| return 1
 }
 
_at_@ -265,12 +261,12 @@ _server_libs() {
 	depends=
 	cd "$pkgdir"
 	_mv_files \
-		usr/lib/samba/libMESSAGING-samba4.so \
-		usr/lib/samba/libdcerpc-samba4.so \
-		usr/lib/samba/libidmap-samba4.so \
-		usr/lib/samba/libnss-info-samba4.so \
+		usr/lib/$pkgname/libMESSAGING-samba4.so \
+		usr/lib/$pkgname/libdcerpc-samba4.so \
+		usr/lib/$pkgname/libidmap-samba4.so \
+		usr/lib/$pkgname/libnss-info-samba4.so \
 		\
-		usr/lib/samba/libnon-posix-acls-samba4.so \
+		usr/lib/$pkgname/libnon-posix-acls-samba4.so \
 		|| return 1
 }
 
_at_@ -283,11 +279,11 @@ winbind() {
 	cd "$pkgdir"
 	_mv_files \
 		usr/sbin/winbindd \
-		usr/lib/samba/idmap \
-		usr/lib/samba/nss_info \
+		usr/lib/$pkgname/idmap \
+		usr/lib/$pkgname/nss_info \
 		|| return 1
 	install -d -g winbind -m 750 \
-		"$subpkgdir"/var/cache/samba/winbindd_privileged
+		"$subpkgdir"/var/cache/$pkgname/winbindd_privileged
 }
 
 libwbclient() {
_at_@ -296,8 +292,8 @@ libwbclient() {
 	cd "$pkgdir"
 	_mv_files \
 		usr/lib/libwbclient.so.* \
-		usr/lib/samba/libreplace-samba4.so \
-		usr/lib/samba/libwinbind-client-samba4.so \
+		usr/lib/$pkgname/libreplace-samba4.so \
+		usr/lib/$pkgname/libwinbind-client-samba4.so \
 		|| return 1
 }
 
_at_@ -340,12 +336,12 @@ dc() {
 	_mv_files \
 		usr/bin/samba-tool \
 		usr/sbin/samba* \
-		usr/share/samba \
-		usr/lib/samba/auth/samba4.so \
-		usr/lib/samba/gensec \
-		usr/lib/samba/ldb \
-		usr/lib/samba/libsmbpasswdparser-samba4.so \
-		usr/lib/samba/vfs/posix_eadb.so
+		usr/share/$pkgname \
+		usr/lib/$pkgname/auth/samba4.so \
+		usr/lib/$pkgname/gensec \
+		usr/lib/$pkgname/ldb \
+		usr/lib/$pkgname/libsmbpasswdparser-samba4.so \
+		usr/lib/$pkgname/vfs/posix_eadb.so
 }
 
 _dc_libs() {
_at_@ -355,24 +351,24 @@ _dc_libs() {
 		usr/lib/libdcerpc-samr.so.* \
 		usr/lib/libdcerpc-server.so.* \
 		usr/lib/libsamba-policy.so.* \
-		usr/lib/samba/bind9 \
-		usr/lib/samba/libHDB-SAMBA4-samba4.so \
-		usr/lib/samba/libLIBWBCLIENT-OLD-samba4.so \
-		usr/lib/samba/libauth-unix-token-samba4.so \
-		usr/lib/samba/libauth4-samba4.so \
-		usr/lib/samba/libcluster-samba4.so \
-		usr/lib/samba/libdb-glue-samba4.so \
-		usr/lib/samba/libdnsserver-common-samba4.so \
-		usr/lib/samba/libdsdb-module-samba4.so \
-		usr/lib/samba/libhdb-samba4.so.* \
-		usr/lib/samba/libkdc-samba4.so.* \
-		usr/lib/samba/libpac-samba4.so \
-		usr/lib/samba/libposix-eadb-samba4.so \
-		usr/lib/samba/libprocess-model-samba4.so \
-		usr/lib/samba/libservice-samba4.so \
-		usr/lib/samba/libshares-samba4.so \
-		usr/lib/samba/process_model \
-		usr/lib/samba/service
+		usr/lib/$pkgname/bind9 \
+		usr/lib/$pkgname/libHDB-SAMBA4-samba4.so \
+		usr/lib/$pkgname/libLIBWBCLIENT-OLD-samba4.so \
+		usr/lib/$pkgname/libauth-unix-token-samba4.so \
+		usr/lib/$pkgname/libauth4-samba4.so \
+		usr/lib/$pkgname/libcluster-samba4.so \
+		usr/lib/$pkgname/libdb-glue-samba4.so \
+		usr/lib/$pkgname/libdnsserver-common-samba4.so \
+		usr/lib/$pkgname/libdsdb-module-samba4.so \
+		usr/lib/$pkgname/libhdb-samba4.so.* \
+		usr/lib/$pkgname/libkdc-samba4.so.* \
+		usr/lib/$pkgname/libpac-samba4.so \
+		usr/lib/$pkgname/libposix-eadb-samba4.so \
+		usr/lib/$pkgname/libprocess-model-samba4.so \
+		usr/lib/$pkgname/libservice-samba4.so \
+		usr/lib/$pkgname/libshares-samba4.so \
+		usr/lib/$pkgname/process_model \
+		usr/lib/$pkgname/service
 }
 
 _heimdal_libs() {
_at_@ -380,15 +376,15 @@ _heimdal_libs() {
 	depends=
 	cd "$pkgdir"
 	_mv_files \
-		usr/lib/samba/libasn1-samba4.so.* \
-		usr/lib/samba/libgssapi-samba4.so.* \
-		usr/lib/samba/libhcrypto-samba4.so.* \
-		usr/lib/samba/libheimbase-samba4.so.* \
-		usr/lib/samba/libheimntlm-samba4.so.* \
-		usr/lib/samba/libhx509-samba4.so.* \
-		usr/lib/samba/libkrb5-samba4.so.* \
-		usr/lib/samba/libroken-samba4.so.* \
-		usr/lib/samba/libwind-samba4.so.*
+		usr/lib/$pkgname/libasn1-samba4.so.* \
+		usr/lib/$pkgname/libgssapi-samba4.so.* \
+		usr/lib/$pkgname/libhcrypto-samba4.so.* \
+		usr/lib/$pkgname/libheimbase-samba4.so.* \
+		usr/lib/$pkgname/libheimntlm-samba4.so.* \
+		usr/lib/$pkgname/libhx509-samba4.so.* \
+		usr/lib/$pkgname/libkrb5-samba4.so.* \
+		usr/lib/$pkgname/libroken-samba4.so.* \
+		usr/lib/$pkgname/libwind-samba4.so.*
 }
 
 server() {
_at_@ -402,9 +398,9 @@ server() {
 		usr/bin/eventlogadm \
 		usr/bin/smbstatus \
 		\
-		usr/lib/samba/auth \
-		usr/lib/samba/libxattr-tdb-samba4.so \
-		usr/lib/samba/vfs \
+		usr/lib/$pkgname/auth \
+		usr/lib/$pkgname/libxattr-tdb-samba4.so \
+		usr/lib/$pkgname/vfs \
 		|| return 1
 }
 
_at_@ -436,8 +432,8 @@ _test() {
 		usr/bin/masktest \
 		usr/bin/ndrdump \
 		usr/bin/smbtorture \
-		usr/lib/samba/libdlz-bind9-for-torture-samba4.so \
-		usr/lib/samba/libtorture-samba4.so \
+		usr/lib/$pkgname/libdlz-bind9-for-torture-samba4.so \
+		usr/lib/$pkgname/libtorture-samba4.so \
 		|| return 1
 }
 
_at_@ -457,72 +453,62 @@ libs() {
 		usr/lib/libsamdb.so.* \
 		usr/lib/libsmbconf.so.* \
 		usr/lib/libtevent-util.so.* \
-		usr/lib/samba/libCHARSET3-samba4.so \
-		usr/lib/samba/libaddns-samba4.so \
-		usr/lib/samba/libasn1util-samba4.so \
-		usr/lib/samba/libauth-sam-reply-samba4.so \
-		usr/lib/samba/libauthkrb5-samba4.so \
-		usr/lib/samba/libcli-cldap-samba4.so \
-		usr/lib/samba/libcli-ldap-common-samba4.so \
-		usr/lib/samba/libcli-nbt-samba4.so \
-		usr/lib/samba/libcli-smb-common-samba4.so \
-		usr/lib/samba/libcliauth-samba4.so \
-		usr/lib/samba/libdbwrap-samba4.so \
-		usr/lib/samba/libflag-mapping-samba4.so \
-		usr/lib/samba/libgenrand-samba4.so \
-		usr/lib/samba/libgensec-samba4.so \
-		usr/lib/samba/libgse-samba4.so \
-		usr/lib/samba/libinterfaces-samba4.so \
-		usr/lib/samba/libiov-buf-samba4.so \
-		usr/lib/samba/libkrb5samba-samba4.so \
-		usr/lib/samba/libldbsamba-samba4.so \
-		usr/lib/samba/libmessages-dgm-samba4.so \
-		usr/lib/samba/libmessages-util-samba4.so \
-		usr/lib/samba/libmsghdr-samba4.so \
-		usr/lib/samba/libndr-samba-samba4.so \
-		usr/lib/samba/libpopt-samba3-samba4.so \
-		usr/lib/samba/libsamba-cluster-support-samba4.so \
-		usr/lib/samba/libsamba-debug-samba4.so \
-		usr/lib/samba/libsamba-modules-samba4.so \
-		usr/lib/samba/libsamba-security-samba4.so \
-		usr/lib/samba/libsamba-sockets-samba4.so \
-		usr/lib/samba/libsamba3-util-samba4.so \
-		usr/lib/samba/libsamdb-common-samba4.so \
-		usr/lib/samba/libsecrets3-samba4.so \
-		usr/lib/samba/libserver-id-db-samba4.so \
-		usr/lib/samba/libserver-role-samba4.so \
-		usr/lib/samba/libsmb-transport-samba4.so \
-		usr/lib/samba/libsmbd-shim-samba4.so \
-		usr/lib/samba/libsmbregistry-samba4.so \
-		usr/lib/samba/libsocket-blocking-samba4.so \
-		usr/lib/samba/libsys-rw-samba4.so \
-		usr/lib/samba/libtalloc-report-samba4.so \
-		usr/lib/samba/libtdb-wrap-samba4.so \
-		usr/lib/samba/libtime-basic-samba4.so \
-		usr/lib/samba/libutil-cmdline-samba4.so \
-		usr/lib/samba/libutil-reg-samba4.so \
-		usr/lib/samba/libutil-setid-samba4.so \
-		usr/lib/samba/libutil-tdb-samba4.so \
+		usr/lib/$pkgname/libCHARSET3-samba4.so \
+		usr/lib/$pkgname/libaddns-samba4.so \
+		usr/lib/$pkgname/libasn1util-samba4.so \
+		usr/lib/$pkgname/libauth-sam-reply-samba4.so \
+		usr/lib/$pkgname/libauthkrb5-samba4.so \
+		usr/lib/$pkgname/libcli-cldap-samba4.so \
+		usr/lib/$pkgname/libcli-ldap-common-samba4.so \
+		usr/lib/$pkgname/libcli-nbt-samba4.so \
+		usr/lib/$pkgname/libcli-smb-common-samba4.so \
+		usr/lib/$pkgname/libcliauth-samba4.so \
+		usr/lib/$pkgname/libdbwrap-samba4.so \
+		usr/lib/$pkgname/libflag-mapping-samba4.so \
+		usr/lib/$pkgname/libgenrand-samba4.so \
+		usr/lib/$pkgname/libgensec-samba4.so \
+		usr/lib/$pkgname/libgse-samba4.so \
+		usr/lib/$pkgname/libinterfaces-samba4.so \
+		usr/lib/$pkgname/libiov-buf-samba4.so \
+		usr/lib/$pkgname/libkrb5samba-samba4.so \
+		usr/lib/$pkgname/libldbsamba-samba4.so \
+		usr/lib/$pkgname/libmessages-dgm-samba4.so \
+		usr/lib/$pkgname/libmessages-util-samba4.so \
+		usr/lib/$pkgname/libmsghdr-samba4.so \
+		usr/lib/$pkgname/libndr-samba-samba4.so \
+		usr/lib/$pkgname/libpopt-samba3-samba4.so \
+		usr/lib/$pkgname/libsamba-cluster-support-samba4.so \
+		usr/lib/$pkgname/libsamba-debug-samba4.so \
+		usr/lib/$pkgname/libsamba-modules-samba4.so \
+		usr/lib/$pkgname/libsamba-security-samba4.so \
+		usr/lib/$pkgname/libsamba-sockets-samba4.so \
+		usr/lib/$pkgname/libsamba3-util-samba4.so \
+		usr/lib/$pkgname/libsamdb-common-samba4.so \
+		usr/lib/$pkgname/libsecrets3-samba4.so \
+		usr/lib/$pkgname/libserver-id-db-samba4.so \
+		usr/lib/$pkgname/libserver-role-samba4.so \
+		usr/lib/$pkgname/libsmb-transport-samba4.so \
+		usr/lib/$pkgname/libsmbd-shim-samba4.so \
+		usr/lib/$pkgname/libsocket-blocking-samba4.so \
+		usr/lib/$pkgname/libsys-rw-samba4.so \
+		usr/lib/$pkgname/libtalloc-report-samba4.so \
+		usr/lib/$pkgname/libtdb-wrap-samba4.so \
+		usr/lib/$pkgname/libtime-basic-samba4.so \
+		usr/lib/$pkgname/libutil-cmdline-samba4.so \
+		usr/lib/$pkgname/libutil-reg-samba4.so \
+		usr/lib/$pkgname/libutil-setid-samba4.so \
+		usr/lib/$pkgname/libutil-tdb-samba4.so \
 		|| return 1
+	# exit with error if some stuff stayed at main pack
+	rmdir "$pkgdir"/usr/lib/$pkgname \
+		"$pkgdir"/usr/share \
+		"$pkgdir"/usr/sbin \
+		"$pkgdir"/usr/bin \
+		"$pkgdir"/usr/lib \
+		"$pkgdir"/usr
 }
 
-md5sums="20f4af15f409efd6ddca5544e1d7d84a  samba-4.5.4.tar.gz
-f9ee1f13e59c60ee7e481f51329bf7d4  uclibc-xattr-create.patch
-f0d10a87a2067d0d3accdcb6c9b64ea9  domain.patch
-6a220b2471764e6e189829ac9cc81996  getpwent_r.patch
-39b8cfa9abe6584d13a13ea63459a2e7  netdb-defines.patch
-c1702b2ad7b68f7d704f50a1bfef3ad3  samba.initd
-c150433426e18261e6e3eed3930e1a76  samba.confd
-b7cafabfb4fa5b3ab5f2e857d8d1c733  samba.logrotate"
-sha256sums="1800d10ea14cabef67c83cc56a0f37f4f30ba5df218b3a1e7c874069a08c0f40  samba-4.5.4.tar.gz
-dcf6a7118297d6567d8ff31c9eff1afffdf2f548db36fd17d00cdf0ffc555fe3  uclibc-xattr-create.patch
-5554fff0df5d31e67a705c60d97e187b4109c79c8a4063c8ea7ebe1e0e4a7e7e  domain.patch
-7956274b412a268339abb63f8e1bd63b5049cd4ab7c6270235d9d0b9bcf6c81a  getpwent_r.patch
-d4a17891a14d9a4290750097cc28279059e6d971fadf132085e857ed4400d5ed  netdb-defines.patch
-3866a15ab73a9fd704ec8315cff48caf98937c490ba8dc40ce3701cef5ca22c9  samba.initd
-1d12f98a7727967b04eb123109b34cfffef320822dc0e8059286b6e3394c3fc0  samba.confd
-4c2b7d529126b2fc4f62fb09d99e49a87632d723a2d9d289a61e37dd84145be1  samba.logrotate"
-sha512sums="7b24227e17ab091e6165c605f28af19fa846de63f3f24508411db2b509d942e599702dd278c8430481d7a404c5a97005148286ea4e94a35b57a1ec303b1a4409  samba-4.5.4.tar.gz
+sha512sums="734582b540ba25ea73c5bf8b0801c01808eaea4a0d96b6b26c5ac18bcc4eb4fa42c9d3484891c577f80453bf9f7e5fe7c56b0ec7148e5c0dad0279889b9af93a  samba-4.6.0.tar.gz
 b43809d7ecbf3968f5154c2ded6ed47dae36921f1895ea98bcce50557eb2ad39b736345ffb4214655ed3154c143c20431d248cde828285380bafbf4d2627df9b  uclibc-xattr-create.patch
 62d373dbaee75121a1d73f2c09cdca7239705808ff807b171d1d5a28fd4ffc66bdb52494b62786d7aaba8aeece5c08433b532ca96a28d712452fe9daac8d8d2e  domain.patch
 0d4fd9862191554dc9c724cec0b94fd19afbfd0c4ed619e4c620c075e849cb3f3d44db1e5f119d890da23a3dd0068d9873703f3d86c47b91310521f37356208b  getpwent_r.patch
diff --git a/main/samba/gen-bin-list.sh b/main/samba/gen-bin-list.sh
deleted file mode 100644
index b5c6408182..0000000000
--- a/main/samba/gen-bin-list.sh
+++ /dev/null
_at_@ -1,12 +0,0 @@
-#!/bin/sh
-
-# generate file lists for each subpackage that has /usr/bin or /usr/sbin
-
-for i in pkg/*/usr/bin/*  pkg/*/usr/sbin/*  pkg/*/usr/lib/samba/*/*.so; do
-	[ -f "$i" ] || continue
-	n=${i#pkg/}
-	n=${n%%/*}
-
-	f=${i#pkg/*/}
-	echo "$n $f"
-done
diff --git a/main/samba/ld_library_path.patch b/main/samba/ld_library_path.patch
deleted file mode 100644
index 2f0b8b981f..0000000000
--- a/main/samba/ld_library_path.patch
+++ /dev/null
_at_@ -1,18 +0,0 @@
-uclibc dpes not seem to handle a leading ':' in LD_LIBRARY_PATH.
-Eg. LD_LIBRARY_PATH=":/path"
-
---- ./buildtools/wafsamba/samba_utils.py.orig	2013-08-01 13:16:13.425790642 +0000
-+++ ./buildtools/wafsamba/samba_utils.py	2013-08-01 13:17:52.063543307 +0000
-_at_@ -54,10 +54,9 @@
- def ADD_LD_LIBRARY_PATH(path):
-     '''add something to LD_LIBRARY_PATH'''
-     if 'LD_LIBRARY_PATH' in os.environ:
--        oldpath = os.environ['LD_LIBRARY_PATH']
-+        newpath = os.environ['LD_LIBRARY_PATH'].split(':')
-     else:
--        oldpath = ''
--    newpath = oldpath.split(':')
-+        newpath = []
-     if not path in newpath:
-         newpath.append(path)
-         os.environ['LD_LIBRARY_PATH'] = ':'.join(newpath)
diff --git a/main/samba/split-pkg.lua b/main/samba/split-pkg.lua
deleted file mode 100644
index e2de7b84e3..0000000000
--- a/main/samba/split-pkg.lua
+++ /dev/null
_at_@ -1,123 +0,0 @@
-
-rev = {}
---[[ read from subpkgname.list file ]]--
---[[
-for i = 1,#arg do
-	pname = arg[i]
-	local f = io.popen(([[
-		xargs lddtree -l < %s | sort -u | while read f; do
-			if [ -e pkg/*"$f" ]; then
-				echo $f
-			fi
-		done
-	] ]):format(pname))
-
-	for filename in f:lines() do
-		if rev[filename] == nil then
-			rev[filename] = {}
-		end
-		table.insert(rev[filename], (pname:gsub(".list", "")))
-	end
-	f:close()
-end
---]]
-
-
-function shell_escape(args)
-	local ret = {}
-	for _,a in pairs(args) do
-		s = tostring(a)
-		if s:match("[^A-Za-z0-9_/:=-]") then
-			s = "'"..s:gsub("'", "'\\''").."'"
-		end
-		table.insert(ret,s)
-	end
-	return table.concat(ret, " ")
-end
-
--- read lines from stdin with: <subpackage> <filename>
-pkgs = {}
-revhash = {}
-for line in io.lines() do
-	local p, filename = line:match("(.*) (.*)")
-	if pkgs[p] == nil then
-		pkgs[p] = {bins={}, hasfile={}, needsfile={}}
-	end
-	table.insert(pkgs[p].bins, filename)
-	pkgs[p].hasfile[filename] = true
-end
-
-for pkg, r in pairs(pkgs) do
-	print("### ".. pkg)
-	for _,binfile in pairs(r.bins) do
-		local f = io.popen(([[
-			lddtree -l %s | sort -u | while read f; do
-				if [ -e pkg/*"$f" ]; then
-					echo $f
-				fi
-			done
-		]]):format(("pkg/"..pkg.."/"..binfile)))
-
-		for filename in f:lines() do
-			if rev[filename] == nil then
-				rev[filename] = {}
-				revhash[filename] = {}
-			end
-			if not revhash[filename][pkg] then
-				revhash[filename][pkg]=true
-				table.insert(rev[filename], pkg)
-			end
-			r.needsfile[filename]=true
-		end
-	end
-end
-
--- sort list
-keylist = {}
-for k,v in pairs(rev) do
-	table.insert(keylist, k)
-	print(":::: "..k)
-	table.sort(v)
-end
-
-combos = {}
-for _,filename in pairs(keylist) do
-	plist = rev[filename]
-	s = ""
-	for i = 1, #plist do
-		if plist[i] ~= "samba-test" then
-			s=s..plist[i]..":"
-		end
-	end
-	if combos[s] == nil then
-		combos[s] = {}
-	end
-	table.insert(combos[s], filename)
---	print(#rev[filename], s, filename)
-end
-
-
-combokeys = {}
-for pn, filelist in pairs(combos) do
-	table.insert(combokeys, pn)
-	table.sort(filelist)
-end
-
-table.sort(combokeys, function(a,b)
-	local _, counta = a:gsub(":", "")
-	local _, countb = b:gsub(":", "")
-	if counta == countb then
-		return a < b
-	end
-	return counta < countb
-end)
-
-for i = 1,#combokeys do
-	pn = combokeys[i]
-	filelist = combos[pn]
-
-	print(pn)
-	for j = 1,#filelist do
-		print("", filelist[j])
-	end
-end
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Mar 10 2017 - 17:38:11 GMT